Subject: Re: bug#78149: 31.0.50; find-file not working (cl-remove-if)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Apr 2025 08:38:24 +0300

> Date: Tue, 29 Apr 2025 16:21:04 -0300
> From: German Pacenza <[email-masked]>
> 
> *****
> 
> find-file command fails to run with:
> 'completion--file-name-table: Symbol's function definition is void:
> cl-remove-if'
> 
> I bisected to this commit: 509cbe1c35b3dd005a53ac041f9c87ee53b8e115

I cannot reproduce this with today's master branch.  cl-remove-if is
an autoloaded function, so I suspect that your loaddefs.el is outdated
or something.  Try regenerating loaddefs.el and then redumping:

 $ make -C lisp autoloads-force
 $ make

If this still doesn't work, please show the complete and detailed
recipe for reproducing the problem, starting from "emacs -Q".